import { registerLanguage } from "./src/core";
import oneC from 'highlight.js/lib/languages/1c';
import abnf from 'highlight.js/lib/languages/abnf';
import accesslog from 'highlight.js/lib/languages/accesslog';
import actionscript from 'highlight.js/lib/languages/actionscript';
import ada from 'highlight.js/lib/languages/ada';
import angelscript from 'highlight.js/lib/languages/angelscript';
import apache from 'highlight.js/lib/languages/apache';
import applescript from 'highlight.js/lib/languages/applescript';
import arcade from 'highlight.js/lib/languages/arcade';
import arduino from 'highlight.js/lib/languages/arduino';
import armasm from 'highlight.js/lib/languages/armasm';
import asciidoc from 'highlight.js/lib/languages/asciidoc';
import aspectj from 'highlight.js/lib/languages/aspectj';
import autohotkey from 'highlight.js/lib/languages/autohotkey';
import autoit from 'highlight.js/lib/languages/autoit';
import avrasm from 'highlight.js/lib/languages/avrasm';
import awk from 'highlight.js/lib/languages/awk';
import axapta from 'highlight.js/lib/languages/axapta';
import bash from 'highlight.js/lib/languages/bash';
import basic from 'highlight.js/lib/languages/basic';
import bnf from 'highlight.js/lib/languages/bnf';
import brainfuck from 'highlight.js/lib/languages/brainfuck';
import c from 'highlight.js/lib/languages/c';
import cal from 'highlight.js/lib/languages/cal';
import capnproto from 'highlight.js/lib/languages/capnproto';
import ceylon from 'highlight.js/lib/languages/ceylon';
import clean from 'highlight.js/lib/languages/clean';
import clojureRepl from 'highlight.js/lib/languages/clojure-repl';
import clojure from 'highlight.js/lib/languages/clojure';
import cmake from 'highlight.js/lib/languages/cmake';
import coffeescript from 'highlight.js/lib/languages/coffeescript';
import coq from 'highlight.js/lib/languages/coq';
import cos from 'highlight.js/lib/languages/cos';
import cpp from 'highlight.js/lib/languages/cpp';
import crmsh from 'highlight.js/lib/languages/crmsh';
import crystal from 'highlight.js/lib/languages/crystal';
import csharp from 'highlight.js/lib/languages/csharp';
import csp from 'highlight.js/lib/languages/csp';
import css from 'highlight.js/lib/languages/css';
import d from 'highlight.js/lib/languages/d';
import dart from 'highlight.js/lib/languages/dart';
import delphi from 'highlight.js/lib/languages/delphi';
import diff from 'highlight.js/lib/languages/diff';
import django from 'highlight.js/lib/languages/django';
import dns from 'highlight.js/lib/languages/dns';
import dockerfile from 'highlight.js/lib/languages/dockerfile';
import dos from 'highlight.js/lib/languages/dos';
import dsconfig from 'highlight.js/lib/languages/dsconfig';
import dts from 'highlight.js/lib/languages/dts';
import dust from 'highlight.js/lib/languages/dust';
import ebnf from 'highlight.js/lib/languages/ebnf';
import elixir from 'highlight.js/lib/languages/elixir';
import elm from 'highlight.js/lib/languages/elm';
import erb from 'highlight.js/lib/languages/erb';
import erlangRepl from 'highlight.js/lib/languages/erlang-repl';
import erlang from 'highlight.js/lib/languages/erlang';
import excel from 'highlight.js/lib/languages/excel';
import fix from 'highlight.js/lib/languages/fix';
import flix from 'highlight.js/lib/languages/flix';
import fortran from 'highlight.js/lib/languages/fortran';
import fsharp from 'highlight.js/lib/languages/fsharp';
import gams from 'highlight.js/lib/languages/gams';
import gauss from 'highlight.js/lib/languages/gauss';
import gcode from 'highlight.js/lib/languages/gcode';
import gherkin from 'highlight.js/lib/languages/gherkin';
import glsl from 'highlight.js/lib/languages/glsl';
import gml from 'highlight.js/lib/languages/gml';
import go from 'highlight.js/lib/languages/go';
import golo from 'highlight.js/lib/languages/golo';
import gradle from 'highlight.js/lib/languages/gradle';
import graphql from 'highlight.js/lib/languages/graphql';
import groovy from 'highlight.js/lib/languages/groovy';
import haml from 'highlight.js/lib/languages/haml';
import handlebars from 'highlight.js/lib/languages/handlebars';
import haskell from 'highlight.js/lib/languages/haskell';
import haxe from 'highlight.js/lib/languages/haxe';
import hsp from 'highlight.js/lib/languages/hsp';
import http from 'highlight.js/lib/languages/http';
import hy from 'highlight.js/lib/languages/hy';
import inform7 from 'highlight.js/lib/languages/inform7';
import ini from 'highlight.js/lib/languages/ini';
import irpf90 from 'highlight.js/lib/languages/irpf90';
import isbl from 'highlight.js/lib/languages/isbl';
import java from 'highlight.js/lib/languages/java';
import javascript from 'highlight.js/lib/languages/javascript';
import jbossCli from 'highlight.js/lib/languages/jboss-cli';
import json from 'highlight.js/lib/languages/json';
import juliaRepl from 'highlight.js/lib/languages/julia-repl';
import julia from 'highlight.js/lib/languages/julia';
import kotlin from 'highlight.js/lib/languages/kotlin';
import lasso from 'highlight.js/lib/languages/lasso';
import latex from 'highlight.js/lib/languages/latex';
import ldif from 'highlight.js/lib/languages/ldif';
import leaf from 'highlight.js/lib/languages/leaf';
import less from 'highlight.js/lib/languages/less';
import lisp from 'highlight.js/lib/languages/lisp';
import livecodeserver from 'highlight.js/lib/languages/livecodeserver';
import livescript from 'highlight.js/lib/languages/livescript';
import llvm from 'highlight.js/lib/languages/llvm';
import lsl from 'highlight.js/lib/languages/lsl';
import lua from 'highlight.js/lib/languages/lua';
import makefile from 'highlight.js/lib/languages/makefile';
import markdown from 'highlight.js/lib/languages/markdown';
import mathematica from 'highlight.js/lib/languages/mathematica';
import matlab from 'highlight.js/lib/languages/matlab';
import maxima from 'highlight.js/lib/languages/maxima';
import mel from 'highlight.js/lib/languages/mel';
import mercury from 'highlight.js/lib/languages/mercury';
import mipsasm from 'highlight.js/lib/languages/mipsasm';
import mizar from 'highlight.js/lib/languages/mizar';
import mojolicious from 'highlight.js/lib/languages/mojolicious';
import monkey from 'highlight.js/lib/languages/monkey';
import moonscript from 'highlight.js/lib/languages/moonscript';
import n1ql from 'highlight.js/lib/languages/n1ql';
import nestedtext from 'highlight.js/lib/languages/nestedtext';
import nginx from 'highlight.js/lib/languages/nginx';
import nim from 'highlight.js/lib/languages/nim';
import nix from 'highlight.js/lib/languages/nix';
import nodeRepl from 'highlight.js/lib/languages/node-repl';
import nsis from 'highlight.js/lib/languages/nsis';
import objectivec from 'highlight.js/lib/languages/objectivec';
import ocaml from 'highlight.js/lib/languages/ocaml';
import openscad from 'highlight.js/lib/languages/openscad';
import oxygene from 'highlight.js/lib/languages/oxygene';
import parser3 from 'highlight.js/lib/languages/parser3';
import perl from 'highlight.js/lib/languages/perl';
import pf from 'highlight.js/lib/languages/pf';
import pgsql from 'highlight.js/lib/languages/pgsql';
import phpTemplate from 'highlight.js/lib/languages/php-template';
import php from 'highlight.js/lib/languages/php';
import plaintext from 'highlight.js/lib/languages/plaintext';
import pony from 'highlight.js/lib/languages/pony';
import powershell from 'highlight.js/lib/languages/powershell';
import processing from 'highlight.js/lib/languages/processing';
import profile from 'highlight.js/lib/languages/profile';
import prolog from 'highlight.js/lib/languages/prolog';
import properties from 'highlight.js/lib/languages/properties';
import protobuf from 'highlight.js/lib/languages/protobuf';
import puppet from 'highlight.js/lib/languages/puppet';
import purebasic from 'highlight.js/lib/languages/purebasic';
import pythonRepl from 'highlight.js/lib/languages/python-repl';
import python from 'highlight.js/lib/languages/python';
import q from 'highlight.js/lib/languages/q';
import qml from 'highlight.js/lib/languages/qml';
import r from 'highlight.js/lib/languages/r';
import reasonml from 'highlight.js/lib/languages/reasonml';
import rib from 'highlight.js/lib/languages/rib';
import roboconf from 'highlight.js/lib/languages/roboconf';
import routeros from 'highlight.js/lib/languages/routeros';
import rsl from 'highlight.js/lib/languages/rsl';
import ruby from 'highlight.js/lib/languages/ruby';
import ruleslanguage from 'highlight.js/lib/languages/ruleslanguage';
import rust from 'highlight.js/lib/languages/rust';
import sas from 'highlight.js/lib/languages/sas';
import scala from 'highlight.js/lib/languages/scala';
import scheme from 'highlight.js/lib/languages/scheme';
import scilab from 'highlight.js/lib/languages/scilab';
import scss from 'highlight.js/lib/languages/scss';
import shell from 'highlight.js/lib/languages/shell';
import smali from 'highlight.js/lib/languages/smali';
import smalltalk from 'highlight.js/lib/languages/smalltalk';
import sml from 'highlight.js/lib/languages/sml';
import sqf from 'highlight.js/lib/languages/sqf';
import sql from 'highlight.js/lib/languages/sql';
import stan from 'highlight.js/lib/languages/stan';
import stata from 'highlight.js/lib/languages/stata';
import step21 from 'highlight.js/lib/languages/step21';
import stylus from 'highlight.js/lib/languages/stylus';
import subunit from 'highlight.js/lib/languages/subunit';
import swift from 'highlight.js/lib/languages/swift';
import taggerscript from 'highlight.js/lib/languages/taggerscript';
import tap from 'highlight.js/lib/languages/tap';
import tcl from 'highlight.js/lib/languages/tcl';
import thrift from 'highlight.js/lib/languages/thrift';
import tp from 'highlight.js/lib/languages/tp';
import twig from 'highlight.js/lib/languages/twig';
import typescript from 'highlight.js/lib/languages/typescript';
import vala from 'highlight.js/lib/languages/vala';
import vbnet from 'highlight.js/lib/languages/vbnet';
import vbscriptHtml from 'highlight.js/lib/languages/vbscript-html';
import vbscript from 'highlight.js/lib/languages/vbscript';
import verilog from 'highlight.js/lib/languages/verilog';
import vhdl from 'highlight.js/lib/languages/vhdl';
import vim from 'highlight.js/lib/languages/vim';
import wasm from 'highlight.js/lib/languages/wasm';
import wren from 'highlight.js/lib/languages/wren';
import x86asm from 'highlight.js/lib/languages/x86asm';
import xl from 'highlight.js/lib/languages/xl';
import xml from 'highlight.js/lib/languages/xml';
import xquery from 'highlight.js/lib/languages/xquery';
import yaml from 'highlight.js/lib/languages/yaml';
import zephir from 'highlight.js/lib/languages/zephir';
registerLanguage("1c", oneC);
registerLanguage("abnf", abnf);
registerLanguage("accesslog", accesslog);
registerLanguage("actionscript", actionscript);
registerLanguage("ada", ada);
registerLanguage("angelscript", angelscript);
registerLanguage("apache", apache);
registerLanguage("applescript", applescript);
registerLanguage("arcade", arcade);
registerLanguage("arduino", arduino);
registerLanguage("armasm", armasm);
registerLanguage("asciidoc", asciidoc);
registerLanguage("aspectj", aspectj);
registerLanguage("autohotkey", autohotkey);
registerLanguage("autoit", autoit);
registerLanguage("avrasm", avrasm);
registerLanguage("awk", awk);
registerLanguage("axapta", axapta);
registerLanguage("bash", bash);
registerLanguage("basic", basic);
registerLanguage("bnf", bnf);
registerLanguage("brainfuck", brainfuck);
registerLanguage("c", c);
registerLanguage("cal", cal);
registerLanguage("capnproto", capnproto);
registerLanguage("ceylon", ceylon);
registerLanguage("clean", clean);
registerLanguage("clojure-repl", clojureRepl);
registerLanguage("clojure", clojure);
registerLanguage("cmake", cmake);
registerLanguage("coffeescript", coffeescript);
registerLanguage("coq", coq);
registerLanguage("cos", cos);
registerLanguage("cpp", cpp);
registerLanguage("crmsh", crmsh);
registerLanguage("crystal", crystal);
registerLanguage("csharp", csharp);
registerLanguage("csp", csp);
registerLanguage("css", css);
registerLanguage("d", d);
registerLanguage("dart", dart);
registerLanguage("delphi", delphi);
registerLanguage("diff", diff);
registerLanguage("django", django);
registerLanguage("dns", dns);
registerLanguage("dockerfile", dockerfile);
registerLanguage("dos", dos);
registerLanguage("dsconfig", dsconfig);
registerLanguage("dts", dts);
registerLanguage("dust", dust);
registerLanguage("ebnf", ebnf);
registerLanguage("elixir", elixir);
registerLanguage("elm", elm);
registerLanguage("erb", erb);
registerLanguage("erlang-repl", erlangRepl);
registerLanguage("erlang", erlang);
registerLanguage("excel", excel);
registerLanguage("fix", fix);
registerLanguage("flix", flix);
registerLanguage("fortran", fortran);
registerLanguage("fsharp", fsharp);
registerLanguage("gams", gams);
registerLanguage("gauss", gauss);
registerLanguage("gcode", gcode);
registerLanguage("gherkin", gherkin);
registerLanguage("glsl", glsl);
registerLanguage("gml", gml);
registerLanguage("go", go);
registerLanguage("golo", golo);
registerLanguage("gradle", gradle);
registerLanguage("graphql", graphql);
registerLanguage("groovy", groovy);
registerLanguage("haml", haml);
registerLanguage("handlebars", handlebars);
registerLanguage("haskell", haskell);
registerLanguage("haxe", haxe);
registerLanguage("hsp", hsp);
registerLanguage("http", http);
registerLanguage("hy", hy);
registerLanguage("inform7", inform7);
registerLanguage("ini", ini);
registerLanguage("irpf90", irpf90);
registerLanguage("isbl", isbl);
registerLanguage("java", java);
registerLanguage("javascript", javascript);
registerLanguage("jboss-cli", jbossCli);
registerLanguage("json", json);
registerLanguage("julia-repl", juliaRepl);
registerLanguage("julia", julia);
registerLanguage("kotlin", kotlin);
registerLanguage("lasso", lasso);
registerLanguage("latex", latex);
registerLanguage("ldif", ldif);
registerLanguage("leaf", leaf);
registerLanguage("less", less);
registerLanguage("lisp", lisp);
registerLanguage("livecodeserver", livecodeserver);
registerLanguage("livescript", livescript);
registerLanguage("llvm", llvm);
registerLanguage("lsl", lsl);
registerLanguage("lua", lua);
registerLanguage("makefile", makefile);
registerLanguage("markdown", markdown);
registerLanguage("mathematica", mathematica);
registerLanguage("matlab", matlab);
registerLanguage("maxima", maxima);
registerLanguage("mel", mel);
registerLanguage("mercury", mercury);
registerLanguage("mipsasm", mipsasm);
registerLanguage("mizar", mizar);
registerLanguage("mojolicious", mojolicious);
registerLanguage("monkey", monkey);
registerLanguage("moonscript", moonscript);
registerLanguage("n1ql", n1ql);
registerLanguage("nestedtext", nestedtext);
registerLanguage("nginx", nginx);
registerLanguage("nim", nim);
registerLanguage("nix", nix);
registerLanguage("node-repl", nodeRepl);
registerLanguage("nsis", nsis);
registerLanguage("objectivec", objectivec);
registerLanguage("ocaml", ocaml);
registerLanguage("openscad", openscad);
registerLanguage("oxygene", oxygene);
registerLanguage("parser3", parser3);
registerLanguage("perl", perl);
registerLanguage("pf", pf);
registerLanguage("pgsql", pgsql);
registerLanguage("php-template", phpTemplate);
registerLanguage("php", php);
registerLanguage("plaintext", plaintext);
registerLanguage("pony", pony);
registerLanguage("powershell", powershell);
registerLanguage("processing", processing);
registerLanguage("profile", profile);
registerLanguage("prolog", prolog);
registerLanguage("properties", properties);
registerLanguage("protobuf", protobuf);
registerLanguage("puppet", puppet);
registerLanguage("purebasic", purebasic);
registerLanguage("python-repl", pythonRepl);
registerLanguage("python", python);
registerLanguage("q", q);
registerLanguage("qml", qml);
registerLanguage("r", r);
registerLanguage("reasonml", reasonml);
registerLanguage("rib", rib);
registerLanguage("roboconf", roboconf);
registerLanguage("routeros", routeros);
registerLanguage("rsl", rsl);
registerLanguage("ruby", ruby);
registerLanguage("ruleslanguage", ruleslanguage);
registerLanguage("rust", rust);
registerLanguage("sas", sas);
registerLanguage("scala", scala);
registerLanguage("scheme", scheme);
registerLanguage("scilab", scilab);
registerLanguage("scss", scss);
registerLanguage("shell", shell);
registerLanguage("smali", smali);
registerLanguage("smalltalk", smalltalk);
registerLanguage("sml", sml);
registerLanguage("sqf", sqf);
registerLanguage("sql", sql);
registerLanguage("stan", stan);
registerLanguage("stata", stata);
registerLanguage("step21", step21);
registerLanguage("stylus", stylus);
registerLanguage("subunit", subunit);
registerLanguage("swift", swift);
registerLanguage("taggerscript", taggerscript);
registerLanguage("tap", tap);
registerLanguage("tcl", tcl);
registerLanguage("thrift", thrift);
registerLanguage("tp", tp);
registerLanguage("twig", twig);
registerLanguage("typescript", typescript);
registerLanguage("vala", vala);
registerLanguage("vbnet", vbnet);
registerLanguage("vbscript-html", vbscriptHtml);
registerLanguage("vbscript", vbscript);
registerLanguage("verilog", verilog);
registerLanguage("vhdl", vhdl);
registerLanguage("vim", vim);
registerLanguage("wasm", wasm);
registerLanguage("wren", wren);
registerLanguage("x86asm", x86asm);
registerLanguage("xl", xl);
registerLanguage("xml", xml);
registerLanguage("xquery", xquery);
registerLanguage("yaml", yaml);
registerLanguage("zephir", zephir);
